attribute vec4 a_position;
attribute vec4 a_color;
attribute vec2 a_texCoord;

uniform mat4 u_projectionViewMatrix;

varying vec4 v_color;
varying vec2 v_texCoords;

void main()
{
	v_texCoords = a_texCoord;
	v_color = a_color;
	gl_Position =  u_projectionViewMatrix * a_position;
}