#ifdef GL_ES
precision mediump float;
#endif
varying float v_height; 
varying vec3 v_level;
varying vec2 v_texCoords;
uniform sampler2D s_texture1;
uniform sampler2D s_texture2;
uniform sampler2D s_texture3;
uniform sampler2D s_texture4;

void main() {
    vec4 tex1 = texture2D( s_texture1, v_texCoords.xy * 2.0);
    vec4 tex2 = texture2D( s_texture2, v_texCoords.xy * 2.0);
    vec4 tex3 = texture2D( s_texture3, v_texCoords.xy * 2.0);
    vec4 tex4 = texture2D( s_texture4, v_texCoords.xy * 2.0);
	vec4 outColor = mix(tex1, tex2, v_level.x);
	outColor = mix(outColor, tex3, v_level.y);
	gl_FragColor = mix(outColor, tex4, v_level.z);
}