attribute vec3 a_position;
uniform mat4 u_worldView;
uniform float u_time;
varying vec2 v_texCoords;
void main()
{
   v_texCoords = vec2((a_position.x+u_time) / 64.0, (a_position.z+(u_time*0.5)) / 64.0);
   float y = sin(a_position.x+a_position.z + (u_time*2.0)) * 0.05;
   gl_Position =  u_worldView * vec4(a_position.x, a_position.y+y, a_position.z, 1);
}